Comment Replies
curl --request GET \
--url https://api.sociavault.com/v1/scrape/tiktok/comment-replies \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/tiktok/comment-replies"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/tiktok/comment-replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"comments": {
"0": {
"aweme_id": "7625554490191564062",
"cid": "7626007039458755350",
"collect_stat": 0,
"comment_language": "en",
"comment_post_item_ids": null,
"create_time": 1775568145,
"digg_count": 0,
"fold_status": 0,
"image_list": null,
"is_author_digged": false,
"is_comment_translatable": true,
"is_high_purchase_intent": false,
"label_list": null,
"no_show": false,
"reply_comment": null,
"reply_id": "7625686964323648276",
"reply_to_reply_id": "0",
"share_info": {
"acl": {
"code": 1,
"extra": "{\"is_share_handler_failed\":\"1\"}"
},
"desc": "",
"title": "",
"url": ""
},
"status": 1,
"stick_position": 0,
"text": "oh, I liked it",
"text_extra": {},
"thread_has_more": true,
"thread_id": 1,
"trans_btn_style": 0,
"user": {
"account_labels": null,
"ad_cover_url": null,
"advance_feature_item_order": null,
"advanced_feature_info": null,
"avatar_thumb": {
"uri": "musically-maliva-obj/1594805258216454",
"url_list": {
"0": "https://p19-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=3e87b9ae&x-expires=1775804400&x-signature=5eoilrgjiFc9bohrvh%2FvWNL0jKE%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8",
"1": "https://p16-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=c6a88f1f&x-expires=1775804400&x-signature=%2FQPB6pXUMo4CS33v8h84IFKiQ0o%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8",
"2": "https://p19-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpeg?dr=9640&refresh_token=72d39115&x-expires=1775804400&x-signature=VI3OGE%2BRS6CSL%2Fh4lld%2FfrrCWHg%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8"
},
"url_prefix": null
},
"bold_fields": null,
"can_message_follow_status_list": null,
"can_set_geofencing": null,
"cha_list": null,
"cover_url": null,
"custom_verify": "",
"enterprise_verify_reason": "",
"events": null,
"followers_detail": null,
"geofencing": null,
"homepage_bottom_toast": null,
"item_list": null,
"mutual_relation_avatars": null,
"need_points": null,
"nickname": "Carl Gauss",
"platform_sync_info": null,
"predicted_age_group": "-1",
"relative_users": null,
"search_highlight": null,
"sec_uid": "MS4wLjABAAAAlRQDL02iCdJgLYBltLqVXlRYoEMmmOgpG3e9Ik9pAThBgxwMvoUh59MOS06reBAr",
"shield_edit_field_info": null,
"type_label": null,
"uid": "6896805618489951234",
"unique_id": "kryptobuddy2",
"user_profile_guide": null,
"user_tags": null,
"white_cover_url": null
},
"user_buried": false,
"user_digged": 0
}
},
"cursor": 3,
"extra": {
"fatal_item_ids": {},
"logid": "20260409075650E3706C15F5316C435A8E",
"now": 1775721410000
},
"has_more": 1,
"log_pb": {
"impr_id": "20260409075650E3706C15F5316C435A8E"
},
"status_code": 0,
"status_msg": "",
"total": 4
},
"credits_used": 1,
"endpoint": "tiktok/comment_replies"
}{
"error": "TikTok comment ID is required",
"endpoint": "comment_replies",
"credits_required": 1
}{
"error": "Invalid API key"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Failed to fetch TikTok comment replies"
}TikTok
Comment Replies
Scrapes replies to a TikTok comment
GET
/
v1
/
scrape
/
tiktok
/
comment-replies
Comment Replies
💳 1 credit per request
Authorizations
Query Parameters
TikTok comment ID. This is the cid from the comments endpoint.
Example:
"7623828115408274207"
TikTok video URL. This is the url from the comments endpoint.
Example:
"https://www.tiktok.com/@stoolpresidente/video/7623818255903329566"
Cursor to get more replies. Get 'cursor' from previous response.
Example:
3
Response
Successful response
⌘I